Updates the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "7e8127dd-9200-4cc6-8d79-b356ced9a2dd",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "14191a10-c463-465b-ad8f-3fd016f449e3",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "750352c9-d804-45ed-b494-2e4f36be4467",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6326ca0f-d99a-445e-b64e-1f3a04a79e73",
"db_currency_id": "8e84c2d0-f4e6-4502-892a-66a3f26ffaeb",
"db_language_id": "73cde0b1-0c57-42b5-a00d-7530a510eccd",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-29T12:49:23.7709822+00:00"
},
"modified_dateutc": "2026-10-29T12:49:23.7709822+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.